## Get Price

### cURL

```
curl --request GET \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-price/price \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```
import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-price/price"

headers = {
    "x-site-context": "<x-site-context>",
    "x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', 'x-api-key': '<x-api-key>'}
};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-price/price', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes

- **200**: Successfully retrieves price details.
- **400**: SKU cannot be empty.
- **500**: An internal error occurred. If the issue persists please contact support@fabric.inc.

### Query Parameters

- **limit** (number): It limits the number of records returned by the API, default is `10` if not specified.
- **offset** (number): Number of records you wish to skip before selecting records. Default is `0` if not specified.

### Headers

- **x-site-context** (string): Required. This header is a JSON object that contains information about the source you wish to pull from.
- **x-api-key** (string): Required. Enables access to fabric APIs without Authorization. Must be requested from fabric Inc.
